Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Public Attributes | List of all members
AnalyzerTraits Struct Reference
Inheritance diagram for AnalyzerTraits:

## Public Member Functions
| VertexAttributes (Attributes::Status|Attributes::Normal)
| HalfedgeAttributes (Attributes::PrevHalfedge)
| EdgeAttributes (Attributes::Status)
| FaceAttributes (Attributes::Status|Attributes::Normal)
Public Member Functions inherited from OpenMesh::DefaultTraits
| VertexAttributes (0)
| HalfedgeAttributes (Attributes::PrevHalfedge)
| EdgeAttributes (0)
| FaceAttributes (0)

## Public Attributes
| VertexTraits
| HalfedgeTraits

## Additional Inherited Members
Public Types inherited from OpenMesh::DefaultTraits
typedef Vec3f | Point
| The default coordinate type is OpenMesh::Vec3f.
typedef Vec3f | Normal
| The default normal type is OpenMesh::Vec3f.
typedef float | TexCoord1D
| The default 1D texture coordinate type is float.
typedef Vec2f | TexCoord2D
| The default 2D texture coordinate type is OpenMesh::Vec2f.
typedef Vec3f | TexCoord3D
| The default 3D texture coordinate type is OpenMesh::Vec3f.
typedef int | TextureIndex
| The default texture index type.
typedef Vec3uc | Color
| The default color type is OpenMesh::Vec3uc.

## Detailed Description

Definition at line 94 of file vdpmanalyzer.cc.

## Member Data Documentation

AnalyzerTraits::HalfedgeTraits

Initial value:
{
public:
VHierarchyNodeHandle
vhierarchy_leaf_node_handle()
{ return leaf_node_handle_; }
void
set_vhierarchy_leaf_node_handle(VHierarchyNodeHandle _leaf_node_handle)
{ leaf_node_handle_ = _leaf_node_handle; }
private:
VHierarchyNodeHandle leaf_node_handle_

Definition at line 117 of file vdpmanalyzer.cc.

AnalyzerTraits::VertexTraits

Initial value:
{
public:
VHierarchyNodeHandle vhierarchy_node_handle()
{ return node_handle_; }
void set_vhierarchy_node_handle(VHierarchyNodeHandle _node_handle)
{ node_handle_ = _node_handle; }
bool is_ancestor(const VHierarchyNodeIndex &_other)
{ return false; }
private:
VHierarchyNodeHandle node_handle_

Definition at line 97 of file vdpmanalyzer.cc.

The documentation for this struct was generated from the following file:

- libs_required/OpenMesh/src/OpenMesh/Apps/VDProgMesh/Analyzer/vdpmanalyzer.cc